# ConfigurableReport

interface ConfigurableReport : Report

A file based report to be created with a configurable destination. Note this is a legacy type which offers no additional functionality. Reports should implement Report directly instead of using this interface.

#### Inheritors

SingleFileReport
DirectoryReport

## Properties

NAMER
Link copied to clipboard
val NAMER: Namer<Report>

## Functions

configure
Link copied to clipboard
abstract fun configure(cl: Closure): T
getDisplayName
Link copied to clipboard
abstract fun getDisplayName(): String
getName
Link copied to clipboard
abstract fun getName(): String
getOutputLocation
Link copied to clipboard
abstract fun getOutputLocation(): Property<out FileSystemLocation>
getOutputType
Link copied to clipboard
abstract fun getOutputType(): Report.OutputType
getRequired
Link copied to clipboard
abstract fun getRequired(): Property<Boolean>